// Generated by CoffeeScript 1.9.0
var caret, changedType, currentField, digilibURL, field, formularName, generateForm, genericPane, tgSID, tgURI, tgf, type;

tgf = new tgForms;

caret = ' <span class="caret"></span>';

digilibURL = 'http://textgrid-esx1.gwdg.de/1.0/digilib/rest/digilib/';

genericPane = '<div class="tab-pane">';

currentField = {};

field = {};

tgURI = "";

tgSID = "";

type = "";

changedType = "";

formularName = "";

$(document).on("ready click", "li.objectTypeSelection", function(e) {
  e.preventDefault();
  return console.log("ready for Object Selection");
});

generateForm = function() {
  changedType = "Artefact";
  return $.ajax({
    type: "GET",
    url: "idiom.ttl",
    mimeType: "text/turtle"
  }).done(function(data) {
    var addCall;
    addCall = function() {
      return tgf.buildForm("idiom:Artefact", "div#content");
    };
    return tgf.addTurtle(data, addCall);
  });
};
